## fsverity-utils 1.0

=== debian/changelog ===
fsverity-utils (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #956922)

 -- Romain Perier <romain.perier@gmail.com>  Sat, 11 Jan 2020 19:57:46 +0100
