=== debian/control ===
Source: fsverity-utils
Section: admin
Priority: optional
Maintainer: Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper-compat (= 12), libssl-dev (>= 1.0), pkg-config
Standards-Version: 4.5.0.1
Rules-Requires-Root: no
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
Vcs-Git: https://salsa.debian.org/debian/fsverity-utils.git

Package: fsverity
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace utilities for fs-verity
 fs-verity is a Linux kernel feature that does transparent on-demand
 integrity/authenticity verification of the contents of read-only files,
 using a hidden Merkle tree (hash tree) associated with the file. The
 mechanism is similar to dm-verity, but implemented at the file level
 rather than at the block device level.
