## fsverity-utils 1.3

=== debian/changelog ===
fsverity-utils (1.3-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version 1.3.
  * Add libfsverity.pc to libfsverity-dev
  * Fix lintian warning symbols-file-missing-build-depends-package-field

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.1, no changes

 -- Romain Perier <romain.perier@gmail.com>  Fri, 22 Jan 2021 13:41:30 +0100

fsverity-utils (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * debian/rules: Pass PREFIX via dh
  * debian/copyright: Change license to MIT
  * debian/gbp.conf: Switch to xz as default compression
  * debian/control: switch to debhelper 13
  * Add the fsverity shared library
  * debian/rules: Enable all hardening options
  * debian/copyright: Add Facebook to the copyright

 -- Romain Perier <romain.perier@gmail.com>  Mon, 28 Sep 2020 19:24:14 +0200
