=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

MAKEFLAGS=PREFIX=/usr V=1 USE_SHARED_LIB=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
