## fsverity-utils 1.4

=== debian/changelog ===
fsverity-utils (1.4-1~exp1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 15:57:32 +0100

fsverity-utils (1.4-1~exp1) experimental; urgency=medium

  * New upstream version 1.4.
  * Add new man page fsverity.1

 -- Romain Perier <romain.perier@gmail.com>  Thu, 24 Jun 2021 14:16:03 +0200
