=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
-Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config
+Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
