=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_install:
+	$(MAKE) install-man DESTDIR=debian/tmp
