=== debian/watch ===
version=4
opts="mode=git" https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git \
    refs/tags/v([\d\.]+)
