## fsverity-utils 1.5

=== debian/changelog ===
fsverity-utils (1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Romain Perier ]
  * New upstream version 1.5.

  [ Helmut Grohne ]
  * Avoid rebuild during make install by exporting CC (Closes: #1000615)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Add dependency on libssl-dev to libfsverity-dev

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Dec 2022 23:30:25 +0100
