=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
@@ -39,7 +39,8 @@
 Package: libfsverity-dev
 Architecture: linux-any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfsverity0 (= ${binary:Version}),
+         libssl-dev (>= 1.0),
 Multi-Arch: same
 Description: Development files for fs-verity
  fs-verity is a Linux kernel feature that does transparent on-demand
