=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+-include /usr/share/dpkg/buildtools.mk
+export CC
 
 MAKEFLAGS=PREFIX=/usr V=1 USE_SHARED_LIB=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
