=== debian/changelog ===
fsverity-utils (1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Stephen Kitt ]
  * d/rules: export variables instead of using MAKEFLAGS (Closes:
    #1089255)

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 11:30:21 +0000

fsverity-utils (1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update upstream repository links
  * Update upstream source from tag 'upstream/1.6'
  * Switch to pkgconf
  * Drop build dependency on pandoc (Closes: #1066832)
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Aug 2024 11:36:26 +0100
