=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Romain Perier <romain.perier@gmail.com>
-Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkg-config, pandoc
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libssl-dev (>= 1.0), pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
+Homepage: https://git.kernel.org/pub/scm/fs/fsverity/fsverity-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/fsverity-utils
 Vcs-Git: https://salsa.debian.org/debian/fsverity-utils.git
