=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk
export CC

export PREFIX = /usr
export V = 1
export USE_SHARED_LIB = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
