=== debian/watch ===
version=4
opts="mode=git" https://git.kernel.org/pub/scm/fs/fsverity/fsverity-utils.git \
    refs/tags/v([\d\.]+)
